//
//  RankingView.swift
//  WtaTennis
//
//  Created by Johan LACHENAL on 14/05/2024.
//

import SwiftUI

struct RankingView: View {
    
        var body : some View {
            ZStack()
            {
                Rectangle()
                    .fill(Color.purple) // Rectangle violet
                    .frame(height: 200) // Ajustez la hauteur du rectangle comme nécessaire

                VStack(alignment: .leading, spacing: 20) {
                    Text("RANKING") // TODO : penser à créer un style pour les textes
                        .font(.title)
                        .foregroundColor(.white)
                    Text("1")
                        .font(.largeTitle)
                        .fontWeight(.bold)
                        .foregroundColor(.white)
                    Text("Singles")
                        .font(.title2)
                        .foregroundColor(.white)
                }
                .padding() // Ajoutez un padding pour éloigner le texte des bords du rectangle
            }
        }
}

struct RankingView_Previews: PreviewProvider {
    static var previews: some View {
        RankingView()
    }
}
